#!/bin/bash
echo "regularity,variability,improvement"
cat "$1" | grep "EVOL" \
         | sed -s "s/info: EVOL: //" \
         | grep -v "info:" \
         | grep -v "Evolvability" \
         | grep -v "Converged after" \
         | sed -s "s/regularity:  //" \
         | sed -s "s/variability: //" \
         | sed -s "s/improvement: //" \
         | sed -s "s/Best value: //" \
         | sed -s "s/TOTAL STEPS: //" \
         | while read -r ONE; do
            read -r TWO
            read -r THREE
            echo "$ONE,$TWO,$THREE"
        done
